# This file created by conda-build 3.22.0
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Sun Oct 30 09:52:52 2022
# ------------------------------------------------

package:
  name: python-isal
  version: 1.1.0
source:
  sha256: 1364f4e3255a57d51c01422ab3ae785a43c076d516ebf49f6a25adecf8232105
  url: https://pypi.io/packages/source/i/isal/isal-1.1.0.tar.gz
build:
  number: '1'
  script: /home/conda/feedstock_root/build_artifacts/python-isal_1667123643713/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
    -m pip install . -vv
  script_env:
    - PYTHON_ISAL_LINK_DYNAMIC=true
  string: py310h5764c6d_1
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.39 h6ceecb4_0
    - binutils_linux-64 2.39 h5fc0e48_11
    - gcc_impl_linux-64 10.4.0 h5231bdf_19
    - gcc_linux-64 10.4.0 h9215b83_11
    - kernel-headers_linux-64 2.6.32 he073ed8_15
    - ld_impl_linux-64 2.39 hc81fddc_0
    - libgcc-devel_linux-64 10.4.0 hd38fd1e_19
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libsanitizer 10.4.0 h5246dfb_19
    - libstdcxx-ng 12.2.0 h46fd767_19
    - sysroot_linux-64 2.12 he073ed8_15
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h7f98852_4
    - ca-certificates 2022.9.24 ha878542_0
    - isa-l 2.30.0 ha770c72_4
    - ld_impl_linux-64 2.39 hc81fddc_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-ng 12.2.0 h65d4601_19
    - libgomp 12.2.0 h65d4601_19
    - libnsl 2.0.0 h7f98852_0
    - libsqlite 3.39.4 h753d276_0
    - libuuid 2.32.1 h7f98852_1000
    - libzlib 1.2.13 h166bdaf_4
    - ncurses 6.3 h27087fc_1
    - openssl 3.0.5 h166bdaf_2
    - pip 22.3 pyhd8ed1ab_0
    - python 3.10.6 ha86cf86_0_cpython
    - readline 8.1.2 h0f457ee_0
    - setuptools 65.5.0 pyhd8ed1ab_0
    - tk 8.6.12 h27826a3_0
    - tzdata 2022e h191b570_0
    - wheel 0.37.1 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
  run:
    - isa-l >=2.26
    - libgcc-ng >=12
    - python >=3.10,<3.11.0a0
    - python_abi 3.10.* *_cp310
test:
  commands:
    - python -c "from isal import igzip"
    - python -c "from isal import isal_zlib; isal_zlib.adler32(b'test')"
  imports:
    - isal
about:
  dev_url: https://github.com/pycompression/python-isal
  doc_url: https://python-isal.readthedocs.io
  home: https://github.com/pycompression/python-isal
  license: PSF-2.0
  license_file: LICENSE
  summary: Faster zlib and gzip compatible compression and decompression by providing
    python bindings for the isa-l library.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - rhpvorderman
